Package Scientific :: Package BSP :: Class ParFunction

[frames] | no frames]

# Class ParFunction

    object --+
             |
      ParValue --+
                 |
                ParFunction

Known Subclasses:
  - ParRootFunction
  - , core.ParMethod

Global function

Global functions are called with global object arguments. The local values of these arguments are then passed to the local function, and the result is returned in a ParValue object.

Instance Methods

__init__(self, local_function) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

__repr__(self) repr(x) |

Inherited from `ParValue`: `__add__`, `__call__`, `__div__`, `__divmod__`, `__eq__`, `__ge__`, `__getattr__`, `__getitem__`, `__gt__`, `__le__`, `__len__`, `__lt__`, `__mod__`, `__mul__`, `__ne__`, `__neg__`, `__nonzero__`, `__pow__`, `__str__`, `__sub__`, `accumulate`, `alltrue`, `anytrue`, `broadcast`, `fullExchange`, `get`, `getattr`, `map`, `put`, `reduce`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `ParValue`: `is_parvalue`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, local_function)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `local_function` (callable) - any function
Overrides: object.__init__

### __repr__(self)
(Representation operator)

repr(x)

Overrides: object.__repr__
  (inherited documentation)